Bug 230254 - devel/git-lfs: Update to 2.5.1
Summary: devel/git-lfs: Update to 2.5.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-08-01 01:22 UTC by Kenji Rikitake
Modified: 2018-08-15 14:43 UTC (History)
0 users

See Also:
kenji: maintainer-feedback+


Attachments
Patch of devel/git-lfs diff from 2.4.2 to 2.5.0 (1.65 KB, patch)
2018-08-01 01:22 UTC, Kenji Rikitake
kenji: maintainer-approval+
Details | Diff
Patch of devel/git-lfs diff from 2.4.2 to 2.5.1 (1.54 KB, patch)
2018-08-03 16:07 UTC, Kenji Rikitake
kenji: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Kenji Rikitake 2018-08-01 01:22:05 UTC
Created attachment 195709 [details]
Patch of devel/git-lfs diff from 2.4.2 to 2.5.0

Port devel/git-lfs diff from 2.4.2 to 2.5.0

Changes:
    https://github.com/git-lfs/git-lfs/releases/tag/v2.5.0

QA: poudriere testport passed for 10.4-RELEASE-p9 and 11.2-RELEASE-p0
    both on i386 and amd64 architectures

Note: The building procedure has been largely changed from v2.4.2.
      gmake is required in the release Makefile,
      so I added gmake to USES.
Comment 1 Kenji Rikitake 2018-08-03 16:07:10 UTC
Created attachment 195820 [details]
Patch of devel/git-lfs diff from 2.4.2 to 2.5.1

An updated patch for git-lfs 2.4.2 to 2.5.1.
Comment 2 Kenji Rikitake 2018-08-03 16:14:09 UTC
Port devel/git-lfs diff from 2.4.2 to 2.5.1

Changes:
    https://github.com/git-lfs/git-lfs/releases/tag/v2.5.1

QA: poudriere testport passed for 10.4-RELEASE-p9 and 11.2-RELEASE-p0
    both on i386 and amd64 architectures

Note: The building procedure has been largely changed from v2.4.2.
      gmake is required in the release Makefile,
      so I added gmake to USES.

Note 2: On 2.5.1 some of my fixes are included in the original distribution.
        The Makefile is modified as well.
Comment 3 commit-hook freebsd_committer 2018-08-14 17:02:58 UTC
A commit references this bug:

Author: swills
Date: Tue Aug 14 17:02:12 UTC 2018
New revision: 477188
URL: https://svnweb.freebsd.org/changeset/ports/477188

Log:
  devel/git-lfs: Update to 2.5.1

  PR:		230254
  Submitted by:	Kenji Rikitake <kenji@k2r.org> (maintainer)

Changes:
  head/devel/git-lfs/Makefile
  head/devel/git-lfs/distinfo
Comment 4 Steve Wills freebsd_committer 2018-08-14 17:03:21 UTC
Committed, thanks!
Comment 5 commit-hook freebsd_committer 2018-08-15 14:43:24 UTC
A commit references this bug:

Author: swills
Date: Wed Aug 15 14:43:02 UTC 2018
New revision: 477230
URL: https://svnweb.freebsd.org/changeset/ports/477230

Log:
  devel/git-lfs: Update to 2.5.1

  Actually use the proper patch this time.

  PR:		230254
  Submitted by:	Kenji Rikitake <kenji@k2r.org> (maintainer)
  Reported by:	osa
  Pointyhat to:	swills

Changes:
  head/devel/git-lfs/Makefile
  head/devel/git-lfs/distinfo